Bug 72685 - virtual hosts wrapped in SSL defines
virtual hosts wrapped in SSL defines
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-httpd (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 13:47 EDT by Steve Fox
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-26 13:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Fox 2002-08-26 13:47:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When a virtual host is defined with SSL support, the entire virtual host
definition is wrapped with a <IfDefine HAVE_SSL> statement, rather than just the
SSLEngine on directive.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Define a new virtual host and enable SSL support for it.
2. Look at the generated config file.

	

Actual Results:  <IfDefine HAVE_SSL>

# Virtual host Virtual Host 0
<VirtualHost *:81>
 	DocumentRoot /home/drfickle/public_html/ltc/w3/ 
 	ServerName _default_:81
	<Directory "/home/drfickle/public_html/ltc/w3/">
	 	AllowOverride none
	</Directory> 
 	SSLEngine on
</VirtualHost>

</IfDefine>


Expected Results:  # Virtual host Virtual Host 0
<VirtualHost *:81>
 	DocumentRoot /home/drfickle/public_html/ltc/w3/ 
 	ServerName _default_:81
	<Directory "/home/drfickle/public_html/ltc/w3/">
	 	AllowOverride none
	</Directory> 
<IfDefine HAVE_SSL>
 	SSLEngine on
</IfDefine>
</VirtualHost>




Additional info:

redhat-config-httpd-1.0.1-11
Comment 1 Phil Knirsch 2002-09-02 10:11:06 EDT
Fixed in CVS.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.